@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap");

* {
  box-sizing: border-box;
}

body {
  background-color: #f5f5f5;
  font-family: "Roboto", sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: 0;
}

.canvas {
  background-color: #fff;
  border: 1px solid black;
  /* width: 800px;
  height: 800px; */
}

.toolbox {
  background-color: gray;
  border: 1px solid black;
  border-top: none;
  display: flex;
  width: 802px;
  padding: 1rem;
}

.toolbox > * {
  background-color: #fff;
  border: 1px solid black;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  height: 50px;
  width: 50px;
  margin: 0.25rem;
  padding: 0.25rem;
  cursor: pointer;
}

.toolbox > *:focus {
  outline: none;
}

.toolbox .eraser.active,
.square.active {
  border: 6px solid black;
}

.toolbox #color:disabled {
  background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5+AAAAIklEQVQIW2NkQAKrVq36zwjjgzhhYWGMYAEYB8RmROaABADeOQ8CXl/xfgAAAABJRU5ErkJggg==)
    repeat;
  cursor: not-allowed;
}

.toolbox #save {
  width: auto;
  display: inline-block;
  right: inherit;
}

.toolbox .clear,
#save {
  margin-left: auto;
}

/* @media (max-width: 600px) {
  .canvas {
    width: 95vw;
    height: 80vh;
  }

  .toolbox {
    width: 95%;
    padding: 0.2rem;
  }

  .toolbox > * {
    font-size: 1rem;
    height: calc(max-width/20) px;
    width: calc(max-height/20) px;
    margin: 0.25rem;
    padding: 0.25rem;
  }
}

@media (max-width: 380px) {
  .canvas {
    width: 95vw;
    height: 80vh;
  }

  .toolbox {
    width: 95%;
    padding: 0.2rem;
  }

  .toolbox > * {
    font-size: 0.85rem;
    height: calc(max-width/20) px;
    width: calc(max-height/20) px;
    margin: 0.25rem;
    padding: 0.25rem;
  }
} */
